Lists the storage readings phones reported during extraction (calculated and user-reported space used and disk size, OS and hardware versions), filtered by deviceId and a date range, one page at a time. Super admin only.
GET
/admin/report/phone-device-storage-logs
curl \
--request GET 'http://api.example.com/admin/report/phone-device-storage-logs' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"data": {
"total": 42,
"page": 1,
"perPage": 20,
"skip": 0,
"limit": 20,
"totalPages": 3,
"nextPage": 2,
"previousPage": 42.0,
"data": [
{
"_id": "65a1b2c3d4e5f6a7b8c9d0f3",
"deviceId": "00008110-001A2B3C4D5E6F70",
"osVersion": "17.4",
"phoneHardwareVersion": "iPhone15,2",
"phoneOtherInfo": {},
"calculatedTotalSpaceUsed": 96000000000,
"userReportedTotalSpaceUsed": 98000000000,
"calculatedTotalDiskSpace": 128000000000,
"userReportedTotalDiskSpace": 128000000000,
"otherStorageMetadata": {},
"oldData": [
{}
],
"createdAt": "2026-01-15T10:15:00.000Z",
"updatedAt": "2026-01-15T10:15:00.000Z"
}
]
},
"statusCode": 200,
"timestamp": "2026-01-15T10:15:00.000Z"
}